Bug 125133 - [PATCH] mail/postfix - default data_directory parameter in mail_params.h should be /var/db/postfix
Summary: [PATCH] mail/postfix - default data_directory parameter in mail_params.h shou...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-01 03:30 UTC by Sahil Tandon
Modified: 2008-07-21 00:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.51 KB, patch)
2008-07-01 03:30 UTC, Sahil Tandon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sahil Tandon 2008-07-01 03:30:02 UTC
If data_directory is not set in main.cf and one is upgrading to a new postfix installation (2.5.x or later) that utilizes this parameter, things like TLS will break because in FreeBSD, /var/lib/postfix (the data_directory default) is not reachable by the postfix user.  I think it is appropriate to change the compiled in variable to /var/db/postfix.  A previous PR addressed changing this parameter in the default main.cf, but this does not help with people who have existing main.cf files which do not contain a data_directory parameter (as this was introduced in 2.5).

Fix: Apply the attached patch.  I followed http://sce-tindy.tecnik93.com/FreeBSD/How-to-submit-a-diff.txt in order to grab the port from cvs and patch against the existing patch for src/global/mail_params.h.  Do let me know if I should just submit a direct patch against mail_params.h itself.

Patch attached with submission follows:
How-To-Repeat: # cd /usr/ports/mail/postfix && make install clean

.. and then

# postconf -d | grep data_directory
data_directory = /var/lib/postfix
tls_random_exchange_name = ${data_directory}/prng_exch
Comment 1 Edwin Groothuis freebsd_committer 2008-07-01 03:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-07-01 03:30:10 UTC
Maintainer of mail/postfix,

Please note that PR ports/125133 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125133

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-07-01 03:30:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Beech Rintoul freebsd_committer 2008-07-12 08:10:39 UTC
Hi,

This pr will be in maintainer timeout status Monday. I'm pinging you 
in case you didn't see the pr. Please respond.

Thanks,

Beech
-- 
---------------------------------------------------------------------------------------
Beech Rintoul - FreeBSD Developer - beech@FreeBSD.org
/"\   ASCII Ribbon Campaign  | FreeBSD Since 4.x
\ / - NO HTML/RTF in e-mail   | http://www.freebsd.org
 X  - NO Word docs in e-mail | Latest Release:
/ \  - http://www.FreeBSD.org/releases/7.0R/announce.html
---------------------------------------------------------------------------------------
Comment 5 Vick Khera 2008-07-14 18:59:47 UTC
Seems ok to me.  Don't have time to test it to ensure it works, but  
the idea is sound.
Comment 6 Beech Rintoul freebsd_committer 2008-07-15 03:18:35 UTC
State Changed
From-To: feedback->open

Maintainer response
Comment 7 dfilter service freebsd_committer 2008-07-15 03:54:40 UTC
beech       2008-07-15 02:54:32 UTC

  FreeBSD ports repository

  Modified files:
    mail/postfix/files   patch-src::global::mail_params.h 
  Log:
  - Fix paths in mail_perams.h
  
  PR:             ports/125133
  Submitted by:   Sahil Tandon <sahil@tandon.net>
  Approved by:    Vivek Khera <vivek@khera.org> (maintainer)
  
  Revision  Changes    Path
  1.2       +15 -6     ports/mail/postfix/files/patch-src::global::mail_params.h
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Beech Rintoul freebsd_committer 2008-07-15 03:54:58 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 9 dfilter service freebsd_committer 2008-07-21 00:38:32 UTC
mnag        2008-07-20 23:38:19 UTC

  FreeBSD ports repository

  Modified files:
    mail/postfix-current Makefile distinfo 
    mail/postfix-current/files patch-src::global::mail_params.h 
  Log:
  - Update to 2.6-20080629
  - Change default data_directory parameter to /var/db/postfix [1]
  
  PR:             125133 [1]
  Submitted by:   Sahil Tandon <sahil__tandon.net> [1]
  
  Revision  Changes    Path
  1.226     +1 -1      ports/mail/postfix-current/Makefile
  1.162     +3 -3      ports/mail/postfix-current/distinfo
  1.2       +14 -5     ports/mail/postfix-current/files/patch-src::global::mail_params.h
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"